extends ../_docs-template

block vars
  - var title = 'Infinite Scroll | Framework7 Documentation';

block docs-index

block content


  .docs-nav
    include ../_docs-menu
  .docs-content
    .motion-docs-page-title
      h1 Infinite Scroll
      script(src="/js/motion/infinitescroll.js")
      f7-motion-infinitescroll(motion)

    p Infinite Scroll allows to load additional content or do any other required action when page scroll is near to the bottom.

    h2 Infinite Scroll Layout
    p To enable Infinite Scroll you need to add additional `infinite-scroll-content` class to any scrollable container, particularly to our page scrolling area - `<div class="page-content">`:
    :code(lang="html")
          <div class="page">
              <div class="page-content infinite-scroll-content infinite-scroll-top">
                  ...
                  <div class="preloader infinite-scroll-preloader"></div>
              </div>
          </div>
    p Where:
    ul
      li
        p `div class="page-content infinite-scroll-content"` our infinite scroll container
      li
        p `data-infinite-distance` attribute allows to configure distance from the bottom of page (in px) to trigger infinite scroll event. By default, if not specified, it is <b>50</b> (px)
      li
        p `div class="preloader infinite-scroll-preloader"` <a href="preloader.html">preloader</a> with few additional styles to be used with infinite scroll
    h2 Infinite Scroll On Top
    p If you need to use infinite scroll on top of the page (when it scrolled to top), you need to add additional `infinite-scroll-top` class to "page-content":
    :code(lang="html")
          <div class="page">
              <div class="page-content infinite-scroll-content infinite-scroll-top">
                  <div class="preloader infinite-scroll-preloader"></div>
                  ...
              </div>
          </div>
    h2 Infinite Scroll App Methods
    p There are two App's methods that can be used with infinite scroll container:
    .method-wrap
      p
        span.method app.infiniteScroll.create(<span>el</span>)
        span - add infinite scroll event listener to the specified HTML element
      ul.method-parameters
        li
          span.parameter el
          |  - <span class="parameter-type">HTMLElement</span> or <span class="parameter-type">string</span> (with CSS selector) - infinite scroll container. Required.
      .important-note Use this methods only in case you have added infinite scroll content after page init or if you want to enable it later. Otherwise if there is "infinite-scroll-content" element on page init it will be created automatically

    .method-wrap
      p
        span.method app.infiniteScroll.destroy(<span>el</span>)
        span - remove infinite scroll event listener from the specified HTML container
      ul.method-parameters
        li
          span.parameter el
          |  - <span class="parameter-type">HTMLElement</span> or <span class="parameter-type">string</span> (with CSS selector) - infinite scroll container. Required.
    h2 Infinite Scroll Events
    p Infinite Scroll will fire the following DOM events on app instance:
    h3 Dom Events
    table.events-table
      thead
        tr
          th Event
          th Target
          th Description
      tbody
        tr
          td infinite
          td Infinite Scroll container<span>&lt;div class="page-content infinite-scroll-content"&gt;</span>
          td Event will be triggered when page scroll reaches specified (in data-infinite-distance attribute) distance to the bottom.
    h3 App Events
    p Infinite scroll component emits events on app instance as well as on DOM element.
    table.events-table
      thead
        tr
          th Event
          th Target
          th Arguments
          th Description
      tbody
        tr
          td infinite
          td app
          td <span>(el, event)</span>
          td Event will be triggered when page scroll reaches specified (in data-infinite-distance attribute) distance to the bottom.

    h2 Example
    +examplePreview('core', 'infinite-scroll.html', 'infinite-scroll')
